Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::TermInfo Class Reference

A TermInfo is the record of information stored for a term. More...

`#include <TermInfo.h>`

Inheritance diagram for Lucene::TermInfo:

## Public Member Functions

| TermInfo (TermInfoPtr ti)
| TermInfo (int32_t df=0, int64_t fp=0, int64_t pp=0)
virtual | ~TermInfo ()
virtual String | getClassName ()
boost::shared_ptr< TermInfo > | shared_from_this ()
void | set (int32_t docFreq, int64_t freqPointer, int64_t proxPointer, int32_t skipOffset)
void | set (TermInfoPtr ti)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | docFreq
| The number of documents which contain the term. More...
int64_t | freqPointer
int64_t | proxPointer
int32_t | skipOffset

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

A TermInfo is the record of information stored for a term.

## Constructor & Destructor Documentation

Lucene::TermInfo::TermInfo | ( | TermInfoPtr | ti) |  |

Lucene::TermInfo::TermInfo | ( | int32_t | df = `0`,
|  | int64_t | fp = `0`,
|  | int64_t | pp = `0`
| ) |  |

virtual Lucene::TermInfo::~TermInfo | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::TermInfo::_getClassName | ( | ) |  |

inline static

virtual String Lucene::TermInfo::getClassName | ( | ) |  |

inline virtual

void Lucene::TermInfo::set | ( | int32_t | docFreq,
|  | int64_t | freqPointer,
|  | int64_t | proxPointer,
|  | int32_t | skipOffset
| ) |  |

void Lucene::TermInfo::set | ( | TermInfoPtr | ti) |  |

boost::shared_ptr< TermInfo > Lucene::TermInfo::shared_from_this | ( | ) |  |

inline

## Field Documentation

int32_t Lucene::TermInfo::docFreq

The number of documents which contain the term.

int64_t Lucene::TermInfo::freqPointer

int64_t Lucene::TermInfo::proxPointer

int32_t Lucene::TermInfo::skipOffset

The documentation for this class was generated from the following file:

- TermInfo.h

clucene.sourceforge.net